# ClusteredBodyObject (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.spot.data
Interface ClusteredBodyObject

    public interface ClusteredBodyObject

Defines some required methods for a `BodyObject` that is to participate in the Whirled Spot system.

Method Summary
`String` `getClusterField()` Returns the field name of the cluster oid distributed object field.
`int` `getClusterOid()` Returns the oid of the cluster to which this user currently belongs.
`void` `setClusterOid(int clusterOid)` Sets the oid of the cluster to which this user currently belongs.

Method Detail

### getClusterField

    String getClusterField()

  Returns the field name of the cluster oid distributed object field.

### getClusterOid

    int getClusterOid()

  Returns the oid of the cluster to which this user currently belongs.

### setClusterOid

    void setClusterOid(int clusterOid)

  Sets the oid of the cluster to which this user currently belongs.

Copyright © 2011. All Rights Reserved.